package com.audinate.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.audinate.controller.DanteController;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.time.LocalDateTime;

class TranslatorOutputThread extends Thread {
  private InputStream is;
  
  private FileOutputStream mLogFile;
  
  private TranslatorOutputThread(DanteController paramDanteController2, InputStream paramInputStream, String paramString) {
    this.is = paramInputStream;
    try {
      File file = new File(paramDanteController1.mApplication.getTranslatorLogFilename());
      file.createNewFile();
      this.mLogFile = new FileOutputStream(file, true);
    } catch (IOException iOException) {
      paramDanteController1.mApplication.getDebugLog().log(4, null, String.format("Could not create translator log file: %s. Defaulting to stdout.", new Object[] { iOException.getMessage() }));
      this.mLogFile = null;
    } 
  }
  
  protected void finalize() {
    try {
      this.mLogFile.close();
    } catch (IOException iOException) {
      iOException.printStackTrace();
    } 
  }
  
  public void run() {
    try {
      InputStreamReader inputStreamReader = new InputStreamReader(this.is);
      BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
      String str = null;
      while ((str = bufferedReader.readLine()) != null) {
        if (this.mLogFile != null) {
          String str1 = LocalDateTime.now().toString();
          String str2 = String.format("%s: %s\n", new Object[] { str1, str });
          this.mLogFile.write(str2.getBytes());
          continue;
        } 
        System.out.println("translator> " + str);
      } 
    } catch (IOException iOException) {
      iOException.printStackTrace();
    } finally {
      try {
        this.mLogFile.close();
      } catch (IOException iOException) {
        iOException.printStackTrace();
      } 
    } 
  }
}
